Bug 198821 - logical volume corruption during mirror creation/deletion loop
logical volume corruption during mirror creation/deletion loop
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 17:25 EDT by Corey Marthaler
Modified: 2007-11-16 20:14 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0287
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 20:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-07-13 17:25:08 EDT
Description of problem:
I was attempting to reproduce a couple other mirror bugs by running a create a
mirror; sleep 1; delete a mirror; loop and I hit this volume corruption.

Jul 13 09:39:05 taft-01 dmeventd[4501]: Monitoring mirror device,
mirror_1_599-testmirror for events
Jul 13 09:39:06 taft-01 kernel: device-mapper: 2000 out-of-sync regions
remaining for fVJhxgH0.
Jul 13 09:39:30 taft-01 kernel: device-mapper: A cluster mirror log member has left.
Jul 13 09:39:30 taft-01 kernel: device-mapper: Disk Resume::
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Live nodes        :: 3
Jul 13 09:39:30 taft-01 kernel: device-mapper:   In-Use Regions    :: 3
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Good IUR's        :: 3
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Bad IUR's         :: 0
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Sync count        :: 416
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Disk Region count :: 2048
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Region count      :: 2048
Jul 13 09:39:30 taft-01 kernel: device-mapper: Marked regions::
Jul 13 09:39:30 taft-01 kernel: device-mapper:   413 - 2048
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Total = 1635
Jul 13 09:39:30 taft-01 kernel: device-mapper: Out-of-sync regions::
Jul 13 09:39:30 taft-01 kernel: device-mapper:   416 - 2048
Jul 13 09:39:30 taft-01 kernel: device-mapper:   Total = 1632
Jul 13 09:39:30 taft-01 kernel: device-mapper: Request to remove unrecorded
region user (4/414)
Jul 13 09:39:30 taft-01 kernel: device-mapper: Error (-22) while processing
request (type = 5)
Jul 13 09:39:40 taft-01 kernel: device-mapper: Cluster mirror log server is
shutting down.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 09:39:42 taft-01 lvm[4394]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 09:39:42 taft-01 lvm[4394]: Volume group for uuid not found:
ikNHs6H3X30bLcTddguSBainoWmEN3SN8UAvpJiW4



Jul 13 10:47:50 taft-04 kernel: device-mapper: A cluster mirror log member has left.
Jul 13 10:47:55 taft-04 kernel: device-mapper: Cluster mirror log server is
shutting down.
Jul 13 10:48:15 taft-04 dmeventd[4305]: Monitoring mirror device,
mirror_1_599-testmirror for events
Jul 13 10:48:20 taft-04 kernel: device-mapper: A cluster mirror log member has left.
Jul 13 10:48:21 taft-04 kernel: device-mapper: an error occured on the server
while processing our request
Jul 13 10:48:21 taft-04 kernel: device-mapper: unable to notify server of
completed resync work
Jul 13 10:48:26 taft-04 kernel: device-mapper: A cluster mirror log member has left.
Jul 13 10:48:26 taft-04 kernel: device-mapper: I'm the cluster mirror log server
for fVJhxgH0
Jul 13 10:48:26 taft-04 kernel: device-mapper: Disk Resume::
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Live nodes        :: 2
Jul 13 10:48:26 taft-04 kernel: device-mapper:   In-Use Regions    :: 0
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Good IUR's        :: 0
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Bad IUR's         :: 0
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Sync count        :: 416
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Disk Region count :: 2048
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Region count      :: 2048
Jul 13 10:48:26 taft-04 kernel: device-mapper: Marked regions::
Jul 13 10:48:26 taft-04 kernel: device-mapper:   416 - 2048
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Total = 1632
Jul 13 10:48:26 taft-04 kernel: device-mapper: Out-of-sync regions::
Jul 13 10:48:26 taft-04 kernel: device-mapper:   416 - 2048
Jul 13 10:48:26 taft-04 kernel: device-mapper:   Total = 1632
Jul 13 10:48:26 taft-04 kernel: device-mapper: unable to notify server of
completed resync work
Jul 13 10:48:26 taft-04 kernel: device-mapper: complete_resync_work region going
out-of-sync: disk failure
Jul 13 10:48:31 taft-04 kernel: device-mapper: A cluster mirror log member has left.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: LV testmirror_mlog invalid: segment 2 should
begin at LE 1 (found 0).
Jul 13 10:48:33 taft-04 lvm[4224]: Couldn't read all logical volumes for volume
group mirror_1_599.
Jul 13 10:48:33 taft-04 lvm[4224]: Volume group for uuid not found:
ikNHs6H3X30bLcTddguSBainoWmEN3SN8UAvpJiW4
Jul 13 10:48:36 taft-04 kernel: device-mapper: Cluster mirror log server is
shutting down.



[root@taft-04 ~]# dmsetup ls
mirror_1_599-testmirror_mimage_1        (253, 4)
mirror_1_599-testmirror_mimage_0        (253, 3)
VolGroup00-LogVol01     (253, 1)
VolGroup00-LogVol00     (253, 0)
mirror_1_599-testmirror_mlog    (253, 2)
[root@taft-04 ~]# dmsetup status
mirror_1_599-testmirror_mimage_1: 0 2097152 linear
mirror_1_599-testmirror_mimage_0: 0 2097152 linear
VolGroup00-LogVol01: 0 4063232 linear
VolGroup00-LogVol00: 0 40960000 linear
mirror_1_599-testmirror_mlog: 0 8192 linear
[root@taft-04 ~]# lvs
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  LV testmirror_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_599.
  Volume group "mirror_1_599" not found



[root@taft-04 ~]# uname -ar
Linux taft-04 2.6.9-39.1.ELsmp #1 SMP Fri Jun 16 16:47:43 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@taft-04 ~]# rpm -q device-mapper
device-mapper-1.02.07-4.0.RHEL4
[root@taft-04 ~]# rpm -q lvm2
lvm2-2.02.06-5.0.RHEL4
[root@taft-04 ~]# rpm -q lvm2-cluster
lvm2-cluster-2.02.06-5.0.RHEL4
[root@taft-04 ~]# rpm -q cmirror
cmirror-1.0.1-0
[root@taft-04 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-10.0
Comment 1 Corey Marthaler 2006-07-18 18:27:06 EDT
reproduced this situation with the newly build cmirror-kernel and 2.6.9-42.BRsmp
kernel.

Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/dm-2: stat failed: No such file or directory
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/dm-2 no longer valid for device(253,2)
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mlog: stat
failed: No such fily
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mapper/mirror_1_1917-mirror1_mlog
no longer valid for )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/g
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/dm-3: stat failed: No such file or directory
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/dm-3 no longer valid for device(253,3)
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_0:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_0 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/0
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/dm-4: stat failed: No such file or directory
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/dm-4 no longer valid for device(253,4)
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_1:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_1 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/dm-5: stat failed: No such file or directory
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/dm-5 no longer valid for device(253,5)
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1: stat
failed: No such file or y
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mapper/mirror_1_1917-mirror1 no
longer valid for devic)
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mirror_1_1917/mirror1: stat failed: No
such file or directoy
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mirror_1_1917/mirror1 no longer
valid for device(253,5)
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mlog: stat
failed: No such fily
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mapper/mirror_1_1917-mirror1_mlog
no longer valid for )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/g
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_0:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_0 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/0
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_1:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_1 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mirror_1_1917/mirror1: stat failed: No
such file or directoy
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mirror_1_1917/mirror1 no longer
valid for device(253,5)
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mlog: stat
failed: No such fily
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mapper/mirror_1_1917-mirror1_mlog
no longer valid for )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/g
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_0:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_0 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/0
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mapper/mirror_1_1917-mirror1_mimage_1:
stat failed: No suchy
Jul 18 11:28:02 taft-03 lvm[4437]: Path
/dev/mapper/mirror_1_1917-mirror1_mimage_1 no longer valid )
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: /dev/mirror_1_1917/mirror1: stat failed: No
such file or directoy
Jul 18 11:28:02 taft-03 lvm[4437]: Path /dev/mirror_1_1917/mirror1 no longer
valid for device(253,5)
Jul 18 11:28:02 taft-03 lvm[4437]: Aborting - please provide new pathname for
what used to be /dev/1
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: LV mirror3_mlog invalid: segment 2 should
begin at LE 1 (found 0.
Jul 18 11:28:02 taft-03 lvm[4437]: Couldn't read all logical volumes for volume
group mirror_1_1917.
Jul 18 11:28:02 taft-03 lvm[4437]: Volume group for uuid not found:
6LhjIRXJhdmCWuDAvqPCOCSjQTKTHwiA





[root@taft-03 cluster]# lvs
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  LV mirror3_mlog invalid: segment 2 should begin at LE 1 (found 0).
  Couldn't read all logical volumes for volume group mirror_1_1917.
  Volume group "mirror_1_1917" not found




Comment 2 Corey Marthaler 2006-08-02 11:54:59 EDT
Reproduced this while creating/deleting mirrors during recovery.

[root@link-01 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-13.0
Comment 3 Jonathan Earl Brassow 2006-08-02 12:09:55 EDT
I assume cluster mirrors and "recovery" == "resync"?  Or does "recovery" mean you were killing nodes/
disks?
Comment 4 Corey Marthaler 2006-08-02 12:13:40 EDT
recovery == killed a node in the cluster
Comment 5 Jonathan Earl Brassow 2006-08-07 16:58:21 EDT
Were you creating/deleting mirrors on all machines?  Was the machine that was
killed the one that was doing the operations?
Comment 6 Jonathan Earl Brassow 2006-08-09 16:51:55 EDT
this has been attributed to duplicate entries of the log device making their way
into LVM metadata.

A fix has been put in to prevent the writing of such invalid data to disk. 
However, the root cause is still unknown - so you will likely see a failure of
the command (but no corruption).

Short fix is already upstream - RHEL4U5 for redhat packages.
Comment 7 Jonathan Earl Brassow 2006-09-08 15:48:46 EDT
This bug was a side affect of not activating the sub-lvs in the mirror before
deleting them.  The result was that the other members of the cluster would not
know of the existence of the dm device because it was not linked to by and LVM
volume.
lvm_patches-rhel4-09082006/patches/activate_mirror_orphans_before_deactivate.patch

This bug could also be hit due to the inability to remove device mapper devices
because they were being waited on by dmeventd.
lvm_patches-rhel4-09082006/patches/device_registered.patch

Patches are awaiting integration.
Comment 8 Corey Marthaler 2006-11-02 15:17:07 EST
This issue appears to be fixed with the latest rpms.

[root@link-08 ~]# rpm -q device-mapper
device-mapper-1.02.12-3
[root@link-08 ~]# rpm -q lvm2
lvm2-2.02.13-1
[root@link-08 ~]# rpm -q lvm2-cluster
lvm2-cluster-2.02.13-1
[root@link-08 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-13.0
Comment 12 Red Hat Bugzilla 2007-05-07 20:03:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html

Note You need to log in before you can comment on or make changes to this bug.